#!/bin/sh
#
# Professor Fizzwizzle game build/execute script.
#
#  Attempts to link a new executable from given object
#  files and libraries.  On failure, attempts to 
#  execute a pre-compiled executable of the game.
#

if [ -f Professor ]
then
	echo "Executable already built!  Starting the game..."
	./Professor
else
	echo "Building..."
	if g++ ./objects/libSDL-1.2.so.0.7.1 ./objects/libSDL_image-1.2.so.0.1.3 ./objects/libfmod-3.74.so ./objects/libstdc++.so.5.0.5 ./objects/*.o -o Professor
	then
		echo "Executable built!  Starting the game..."
		./Professor
	else
		echo "Build failed!  Executing backup executable..."
		./backup
	fi
fi